PDA

Visualizza versione completa : [Suse] 10 - Superkaramba ed errori vari


Dr_House
02-02-2006, 13.11.36
Ho deciso di installare superkaramba su Suse10.
La versione del software la 3.6 e l'avevo installata prima che comprassi l'HD nuovo.

Adesso che ho reinstallato Suse e provo a reinstallare anche lui, funziona tutto egregiamente col comando ./configure ma quando vado ad eseguire make ecco gli errori che genera:


karamba.cpp:7:32: error: dcopinterface_stub.h: No such file or directory
karamba.cpp:1934:23: error: karamba.moc: No such file or directory
make[3]: *** [karamba.o] Error 1
make[3]: Leaving directory `/home/Roberto/superkaramba-0.36/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/Roberto/superkaramba-0.36/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Roberto/superkaramba-0.36'
make: *** [all] Error 2


Qualcuno si trovato gia in questa situazione.

Ovviamente mi sono loggato come root.

la mia versioen di KDE la 3.4 Suse 10.0 Kernel 2.6.13 superkaramba 3.6

Grazie

ANDY CAPS
02-02-2006, 13.19.16
sembra che manchino i -devel delle kdelibs o delle qt

dovresti averle installabili da yast

Dr_House
02-02-2006, 13.23.03
Ho controllato sono installate

Ghandalf
02-02-2006, 13.46.45
Ma non c'e' attraverso yast?
Compilare i sorgenti su distro cos personalizzate vuol dire indicare a configure dove sono tutte le librerie che gli servono per configurare l'intallazione del software.

In questo caso devi scoprire dove karamba va a cercare le librerie che mancano, scoprire dove le mette suse e specificare il percorso a ./configure.

Dr_House
02-02-2006, 14.17.24
Si ma una domanda un po idiota.

Come mai me lo sta facendo adesso che ho cambiato HD e prima non mi ha mai dato problema l'installazione di superkaramba?

Non penso che cambi di molto da un installazione all'altra la locazione delle librerie o no?

wolverin
02-02-2006, 19.05.02
A me successo con la scheda tv, in una istallazione funzia, nell'altra no avendo selezionato sempre le stesse cose

Dr_House
02-02-2006, 21.17.34
Misteri di Linux

ANDY CAPS
04-02-2006, 09.18.00
io rimango dell'idea che ti mancano i -devel di kde

prova a cercare devel con yast ed installa quelli di kde e quelli delle qt
controlla gli errori eventuali del configure

Dr_House
04-02-2006, 12.19.02
Non penso che mancassero, comunque ho fatto prima, ho trovato l'RPM della 3.7 e l'ho installato con ottimi risultati, eccolo qui

http://www.hostfiles.org/miniature/20060203102615_schermata1.jpg (http://www.hostfiles.org/image.php?id=312364)